/*
 * Reserve la place pour la base du maillage.
 */

maillage *maillage_init (   unsigned int nbpts,
			    pt3d *first);

/*
 * Projete les points (rend un pointeur vers un tableau
 * de pt2d) sur le plan normal a "normale".
 */

pt2d *projete (	vect *normale, 
		str_mem *tab);

/*
 * Calcul un maillage a partir d'un point et de ses voisins.
 * On fournit le point, un pointeur vers le tableau des (pt3d *), 
 * et un pointeur vers un vecteur normal au plan tangent.
 */
 
 void maillage_local (	vect *normale, 
			str_mem *tab,
			maillage *pre_maillage);

/*
 * Pareil que maillage_local, mais fournit juste un triangle.
 */

 void maillage_triangle (   vect *normale, 
			    str_mem *tab,
			    maillage *pre_maillage);
