/*
 * Cette fonction fait une passe sur tous les segments
 * du maillage (sauf ceux qui sont sur la frontiere), 
 * et fait des swaps,  quand il pense que c'est mieux.
 * On peut la modifier pour tenir compte des cassures.
 */

void optimise (maillage *maillage);


/*
 * Cette fonction fait une passe sur les points de la frontiere, 
 * et coupe les segments correspondant a des triangles trop 
 * allonges, a savoir ceux tels que (ab) > percent * ((ac) + (bc)).
 */

void cut_front (maillage *maillage, double percent);


/*
 * Relie les "trous" dans la frontiere, mais ne fait pas attention
 * s'il y a des points a l'interieur.
 */

void bouche_front (maillage *maillage, double percent);


/*
 * Cete fonction repere et elimine les triangles de la frontiere.
 */

void triangle_front (maillage *maillage);


