#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "structures.h"
#include "struct_local.h"
#include "topo.h"


void cone_elimine ( pt3d *point,
		    vect *normale,
		    str_mem *tab)
{
    unsigned int i, j;
    double xx, yy, zz, ps, dd;
    
    for (i=j=0; i<tab->current; i++)
    {
	xx = point->x - tab->debut[i]->x;
	yy = point->y - tab->debut[i]->y;
	zz = point->z - tab->debut[i]->z;
	dd = SQR(xx) + SQR(yy) + SQR(zz);
	ps = normale->x * xx +
	     normale->y * yy +
	     normale->z * zz;

	if ( (SQR(ps) < CONE_ELIMINE * dd) || (dd == 0))
	{
	    tab->debut[j] = tab->debut[i];
	    ++j;
	};
    };
    tab->current = j;
}
